#!/usr/bin/env bash

#
# Configure git identities on a repo-by-repo basis
#
# Colin Patrick McCabe
#

die() {
    echo $@
    exit 1
}

USAGE="You must supply one argument: work or priv"

[ $# -eq 1 ] || die "${USAGE}"
case $1 in
    work)
        git config user.email cmccabe@cloudera.com --file || die "${LINENO}"
        git config user.name "Colin Patrick Mccabe" --file || die "${LINENO}"
        ;;
    priv)
        git config user.email cmccabe@alumni.cmu.edu --file || die "${LINENO}"
        git config user.name "Colin Patrick Mccabe" --file || die "${LINENO}"
        ;;
    apache)
        git config user.email cmccabe@apache.org --file || die "${LINENO}"
        git config user.name "Colin P. Mccabe" --file || die "${LINENO}"
        ;;
    *)
        die "${USAGE}"
        ;;
esac

exit 0
